import typing
from apps.authentication.models import Organization


def get_users_of_organization(org: Organization) -> typing.Any:
    """ get users of an organizations """
    user_relations = org.user_organization.all()

    users_list = [{
        'name': f"{rel.user.first_name} {rel.user.last_name}",
        'national_code': rel.user.national_code,
        'mobile': rel.user.mobile,
        'phone': rel.user.phone,
        'address': rel.user.address
    } for rel in user_relations]

    return users_list
